import request from '@/utils/request'

// 查询直播间自动化任务配置列表
export function listTask(query) {
  return request({
    url: '/live/task/list',
    method: 'get',
    params: query
  })
}

// 查询直播间自动化任务配置列表
export function listTaskBarrage(query) {
  return request({
    url: '/live/task/listBarrage',
    method: 'get',
    params: query
  })
}

// 查询直播间自动化任务配置详细
export function getTask(id) {
  return request({
    url: '/live/task/' + id,
    method: 'get'
  })
}

// 新增直播间自动化任务配置
export function addTask(data) {
  return request({
    url: '/live/task',
    method: 'post',
    data: data
  })
}

// 修改直播间自动化任务配置
export function updateTask(data) {
  return request({
    url: '/live/task',
    method: 'put',
    data: data
  })
}

// 删除直播间自动化任务配置
export function delTask(id) {
  return request({
    url: '/live/task/' + id,
    method: 'delete'
  })
}

// 导出直播间自动化任务配置
export function exportTask(query) {
  return request({
    url: '/live/task/export',
    method: 'get',
    params: query
  })
}
// 导出直播间自动化任务配置
export function exportTaskBarrage(query) {
  return request({
    url: '/live/task/exportBarrage',
    method: 'get',
    params: query
  })
}

// 下载用户导入模板
export function importTemplate() {
  return request({
    url: '/live/task/importTemplate',
    method: 'get'
  })
}

// 新直播控制台任务列表
export function consoleList(query) {
  return request({
    url: '/live/task/consoleList',
    method: 'get',
    params: query
  })
}
